# Imagick::setImageProperty

(PECL imagick 2.0.0)

Imagick::setImageProperty — Sets an image property

### Description

Imagick::setImageProperty ( string `$name` , string `$value` ) : bool

Sets a named property to the image. This method is available if Imagick has been compiled against ImageMagick version 6.3.2 or newer.

### Parameters

`name`

`value`

### Examples

Example #1 Using Imagick::setImageProperty():

Setting and getting image properties

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### See Also

- Imagick::getImageProperty() - Returns the named image property

### Return Values

Returns `TRUE` on success.